SiriPort (Original) 5.1.1-3 bricked ma phone (iOS 5.0.1)

kenreaves

macrumors member
Original poster
Mar 27, 2012
68
0
Previous i was using Spire, i had great experience with that, but earlier today when i started Spire ( after a break of couple of weeks ) it wasn't responding, i dun no why. so i removed Spire and as i installed SiriPort (Original) 5.1.1-3 it said " re spring ", i did, and then its hanged on , showing black screen with busy cursor, so i tried a force shut down by the combination of power n home button.
and now when ever i restart, it stuck on simple APPLE BOOT LOGO, itunes as usual not detecting my phone :(

i have iphone 4 BB 1.59.00 unlocked (ultrasn0w) JB iOS 5.0.1
 

kenreaves

macrumors member
Original poster
Mar 27, 2012
68
0
what iOS should i restore my phone at this moment ? iOs 5.0.1 OR iOS 5.1.1 ?



now instead restoring it with iOS 5.0.1, m downloading iOS 5.1.1...then m gonna stitch my SHSH blob file with original firmware, then apply " Pwned DFU " and then restore with custom iOS 5.1.1....m i right ?
 
Last edited:

snowzor

macrumors newbie
Jun 5, 2012
17
0
Spire is made by chpwn and on his blog he sais clearly that Spire is NOT compatible with 5.1/5.1.1. So I think you should wait until he makes it work.

For the bricked thing, you cannot brick any iOS device so make a custom ipsw and restore it (5.1.1) good luck!!
 

kenreaves

macrumors member
Original poster
Mar 27, 2012
68
0
Spire is made by chpwn and on his blog he sais clearly that Spire is NOT compatible with 5.1/5.1.1. So I think you should wait until he makes it work.

For the bricked thing, you cannot brick any iOS device so make a custom ipsw and restore it (5.1.1) good luck!!

@snowzor,, i said i m using iOS 5.0.1 not 5.1.1...and spire was working fine on my iOS 5.0.1 , but after a few weeks when i started Spire earlier today. it wasn't responding, so i removed it and tried " Siri Original 5.1.1-3 " and it bricked my phone....

and for restoring, i was asking which is iOS better in my case, 5.0.1 Or 5.1.1
to restore my device....
 

NanoNyrd

macrumors regular
Dec 1, 2011
218
0
If you want to reinstall Spire, you need to restore to 5.0.1, and in that case you need to do all the stich SHSH stuff.

If you want to use iModSiri, you might as well upgrade to 5.1.1 (I would do that), but you could also restore to 5.0.1. You just have to install the right version of iModSiri, there is one for 5.0.1 and one for 5.1.1. From you original post, it appears that choosing the wrong one has dire consequences.

For upgrading to 5.1.1 you do not need to stich SHSH, enter pwned DFU mode, etc, etc. Even with a badly messed up phone, entering ordinary DFU mode and restoring the standard way in iTunes should be enough.
 

kenreaves

macrumors member
Original poster
Mar 27, 2012
68
0
If you want to reinstall Spire, you need to restore to 5.0.1, and in that case you need to do all the stich SHSH stuff.

If you want to use iModSiri, you might as well upgrade to 5.1.1 (I would do that), but you could also restore to 5.0.1. You just have to install the right version of iModSiri, there is one for 5.0.1 and one for 5.1.1. From you original post, it appears that choosing the wrong one has dire consequences.

For upgrading to 5.1.1 you do not need to stich SHSH, enter pwned DFU mode, etc, etc. Even with a badly messed up phone, entering ordinary DFU mode and restoring the standard way in iTunes should be enough.
@nano
if i didn't stitch my blob file, it would upgrade my baseband, and i would loose my current 1.59.00 baseband,,, which is so important for me to retain my phone unlock via ultrasn0w :p
 

kenreaves

macrumors member
Original poster
Mar 27, 2012
68
0
Good point :)
@nano... please help .. i want to install iOS 5.1.1

i have a backup of my blob file(iOS 5.0.1)
now as u know my phone is bricked , i want to stitch it with new firmeware iOS 5.1.1 but it says "the Blob doesn't appear to match the IPSW build "

how can i ?

i was previously using iOS 5.0.1 with bb 1.59.00 unlocked via ultrasn0w
 

labman

macrumors 604
Jun 9, 2009
7,787
1
Mich near Detroit
Spire is made by chpwn and on his blog he sais clearly that Spire is NOT compatible with 5.1/5.1.1. So I think you should wait until he makes it work.

For the bricked thing, you cannot brick any iOS device so make a custom ipsw and restore it (5.1.1) good luck!!
Chpwn has made it very clear he is not updating Spire past 5.0.1 Apple made a legal glitch that is the only reason Chpwn allowed Spire to go public. thay have since fixed it. Chpwn has 0 interest in battling Apples legal team or even making them look in his direction. there are other alternatives though. I have a 4S so I have not tried any of them.
 

utahman130

macrumors 6502a
Jun 7, 2012
997
66
Get SiriPort.

Instructions:

Items needed: A jailbroken iDevice running 5.1.1 and SiriPort. For details on how to jailbreak 5.1.1 go here (A wipe of your iPhone is not necessary, but will help speed up the jailbreak process)
Step 1: Open Cydia and go to Manage>Sources>Edit>Add and add this source: http://repo.siriport.ru/
Step 2: Search for SiriPort (Original)
Step 3: Install SiriPort
Step 4: Go to Safari and go to this certificate page: siriport.ru/1.crt. Install the certificate
Step 4: With iFile or SSH, navigate into /var/mobile/library/preferences and then find com.apple.assistant.plist. Push the blue button next to the file if in iFile or click “Get Info” if SSHing.
Step 5: Set the permissions for user, group, and world to read and write
Step 6: In Settings>General>Siri turn Siri OFF. Then, reboot
Step 7: Go to Settings>General>Siri and turn Siri ON.
Step 8: Talk to Siri every 5 minutes or so. Don’t give up!!! It took me about 30 minutes to get on to the server, but now I have Siri on my 3GS for good and do not have to secure sever space again.

If you have questions or need help, email me at ijoecoles@gmail.com or iMessage me at ijoecoles@gmail.com at any time.
 

snowzor

macrumors newbie
Jun 5, 2012
17
0
Get SiriPort.

Instructions:

Items needed: A jailbroken iDevice running 5.1.1 and SiriPort. For details on how to jailbreak 5.1.1 go here (A wipe of your iPhone is not necessary, but will help speed up the jailbreak process)
Step 1: Open Cydia and go to Manage>Sources>Edit>Add and add this source: http://repo.siriport.ru/
Step 2: Search for SiriPort (Original)
Step 3: Install SiriPort
Step 4: Go to Safari and go to this certificate page: siriport.ru/1.crt. Install the certificate
Step 4: With iFile or SSH, navigate into /var/mobile/library/preferences and then find com.apple.assistant.plist. Push the blue button next to the file if in iFile or click “Get Info” if SSHing.
Step 5: Set the permissions for user, group, and world to read and write
Step 6: In Settings>General>Siri turn Siri OFF. Then, reboot
Step 7: Go to Settings>General>Siri and turn Siri ON.
Step 8: Talk to Siri every 5 minutes or so. Don’t give up!!! It took me about 30 minutes to get on to the server, but now I have Siri on my 3GS for good and do not have to secure sever space again.

If you have questions or need help, email me at ijoecoles@gmail.com or iMessage me at ijoecoles@gmail.com at any time.

the proxy server is made by you?
 

NanoNyrd

macrumors regular
Dec 1, 2011
218
0
@nano... please help .. i want to install iOS 5.1.1

i have a backup of my blob file(iOS 5.0.1)
now as u know my phone is bricked , i want to stitch it with new firmeware iOS 5.1.1 but it says "the Blob doesn't appear to match the IPSW build "

how can i ?

i was previously using iOS 5.0.1 with bb 1.59.00 unlocked via ultrasn0w
As I understand it, you just create a custom IPSW file without the baseband (i.e. the no_BB version). Put your phone in pwned DFU mode, and upgrade with iTunes. iTunes will end with an error because the BB is missing, but by then the phone will be upgraded. You may need to use redsn0w to kick it out of recovery mode. Disclaimer: I have not actually tried this, as my BB is not worth preserving.
 

gngan

macrumors 68000
Jan 1, 2009
1,828
72
MacWorld
@nano... please help .. i want to install iOS 5.1.1

i have a backup of my blob file(iOS 5.0.1)
now as u know my phone is bricked , i want to stitch it with new firmeware iOS 5.1.1 but it says "the Blob doesn't appear to match the IPSW build "

how can i ?

i was previously using iOS 5.0.1 with bb 1.59.00 unlocked via ultrasn0w
That's not a brick. Are you gonna say you brick your iphone because the home button isn't working? Brick is when you can't even restore/DFU mode it.
 

iFiend

macrumors 65816
Feb 28, 2011
1,018
0
Previous i was using Spire, i had great experience with that, but earlier today when i started Spire ( after a break of couple of weeks ) it wasn't responding, i dun no why. so i removed Spire and as i installed SiriPort (Original) 5.1.1-3 it said " re spring ", i did, and then its hanged on , showing black screen with busy cursor, so i tried a force shut down by the combination of power n home button.
and now when ever i restart, it stuck on simple APPLE BOOT LOGO, itunes as usual not detecting my phone :(

i have iphone 4 BB 1.59.00 unlocked (ultrasn0w) JB iOS 5.0.1
Why on earth would you use a tweak for 5.1.1 when you are on 5.0.1? And unlocked on the old baseband no less? :rolleyes:
 

ZCherub

macrumors 6502a
Jul 7, 2010
653
1
GA, USA
That's not a brick. Are you gonna say you brick your iphone because the home button isn't working? Brick is when you can't even restore/DFU mode it.
Exactly!

As Nano said above, you do indeed need to use RedSn0w to make a custom NO_BB iPSW (tutorial on iClarified). You can stitch your 5.0.1 blobs/APTicket to that if you want to restore to 5.0.1.

After you build the firmware, ENTER PWNED DFU MODE IN REDSN0W, and go to iTunes and click Shift/Alt + Restore, and select the custom firmware you just built. You should be back on 5.0.1 after that (or on 5.1.1 if that's what you chose).

You hit a snag because you didn't do your homework before messing with your phone, but you are far from "bricked"...
 

kenreaves

macrumors member
Original poster
Mar 27, 2012
68
0
Exactly!

As Nano said above, you do indeed need to use RedSn0w to make a custom NO_BB iPSW (tutorial on iClarified). You can stitch your 5.0.1 blobs/APTicket to that if you want to restore to 5.0.1.

After you build the firmware, ENTER PWNED DFU MODE IN REDSN0W, and go to iTunes and click Shift/Alt + Restore, and select the custom firmware you just built. You should be back on 5.0.1 after that (or on 5.1.1 if that's what you chose).

You hit a snag because you didn't do your homework before messing with your phone, but you are far from "bricked"...

if i choose 5.1.1 ,,, it says " the blob doesn't match the IPSW build " C'z the blob is obtained from 5.0.1 :(

is there any way to upgrade my iOS to 5.1.1 without loosing BB 1.59.00 ?

----------

Get SiriPort.

Instructions:

Items needed: A jailbroken iDevice running 5.1.1 and SiriPort. For details on how to jailbreak 5.1.1 go here (A wipe of your iPhone is not necessary, but will help speed up the jailbreak process)
Step 1: Open Cydia and go to Manage>Sources>Edit>Add and add this source: http://repo.siriport.ru/
Step 2: Search for SiriPort (Original)
Step 3: Install SiriPort
Step 4: Go to Safari and go to this certificate page: siriport.ru/1.crt. Install the certificate
Step 4: With iFile or SSH, navigate into /var/mobile/library/preferences and then find com.apple.assistant.plist. Push the blue button next to the file if in iFile or click “Get Info” if SSHing.
Step 5: Set the permissions for user, group, and world to read and write
Step 6: In Settings>General>Siri turn Siri OFF. Then, reboot
Step 7: Go to Settings>General>Siri and turn Siri ON.
Step 8: Talk to Siri every 5 minutes or so. Don’t give up!!! It took me about 30 minutes to get on to the server, but now I have Siri on my 3GS for good and do not have to secure sever space again.

If you have questions or need help, email me at ijoecoles@gmail.com or iMessage me at ijoecoles@gmail.com at any time.
at 3rd step, after finishing installation, when it asked for respring, it crashed :( it didn't get back to desktop,
so i restored my phone again to 5.0.1 now :) and now m not going to try that again :D
 

ZCherub

macrumors 6502a
Jul 7, 2010
653
1
GA, USA
if i choose 5.1.1 ,,, it says " the blob doesn't match the IPSW build " C'z the blob is obtained from 5.0.1 :(

is there any way to upgrade my iOS to 5.1.1 without loosing BB 1.59.00 ?

----------



at 3rd step, after finishing installation, when it asked for respring, it crashed :( it didn't get back to desktop,
so i restored my phone again to 5.0.1 now :) and now m not going to try that again :D
I think you're confused... Apple is still signing 5.1.1, so tere's no need to stitch blobs to it. Simply make a 5.1.1 NO_BB IPSW w/ RedSn0w, & restore to it, then jailbreak (I'd save my 5.1.1 blobs though, just in case a newer firmware comes out & you need to restore to 5.1.1 instead of upgrading).
 

kenreaves

macrumors member
Original poster
Mar 27, 2012
68
0
I think you're confused... Apple is still signing 5.1.1, so tere's no need to stitch blobs to it. Simply make a 5.1.1 NO_BB IPSW w/ RedSn0w, & restore to it, then jailbreak (I'd save my 5.1.1 blobs though, just in case a newer firmware comes out & you need to restore to 5.1.1 instead of upgrading).
it means if i go to redsn0w > extras > custom IPSW > then provide it original 5.1.1 ipsw so that i can get custom ipsw. then restore it via itunes

are you sure it won't upgrade my baseband ?
its very important for me to preserve my baseband, if i loose it, i won't be able to unlock my phone with ultrasn0w .....
 

ZCherub

macrumors 6502a
Jul 7, 2010
653
1
GA, USA
it means if i go to redsn0w > extras > custom IPSW > then provide it original 5.1.1 ipsw so that i can get custom ipsw. then restore it via itunes

are you sure it won't upgrade my baseband ?
its very important for me to preserve my baseband, if i loose it, i won't be able to unlock my phone with ultrasn0w .....
I understand. As long as you feed RedSn0w a 5.1.1 IPSW, and make an IPSW that has NO_BB in the title using RedSn0w, & use that when you shift+restore, you should be fine. I'm on the 1.59.00 BB myself, & this is how I did it. Here is the tutorial (it says 5.1, but the steps are the same for 5.1.1):

http://m.iclarified.com/entry/index.php?enid=20512

If you'd like to wait for another experienced member to post here & verify, it wouldn't hurt - buy they will likely confirm what I've posted here.
 

kenreaves

macrumors member
Original poster
Mar 27, 2012
68
0
I understand. As long as you feed RedSn0w a 5.1.1 IPSW, and make an IPSW that has NO_BB in the title using RedSn0w, & use that when you shift+restore, you should be fine. I'm on the 1.59.00 BB myself, & this is how I did it. Here is the tutorial (it says 5.1, but the steps are the same for 5.1.1):

http://m.iclarified.com/entry/index.php?enid=20512

If you'd like to wait for another experienced member to post here & verify, it wouldn't hurt - buy they will likely confirm what I've posted here.
I LOVE YOU DUDE :)
U r great :)

So it means i can use same method for future iOS 6 as well :-D

----------

I understand. As long as you feed RedSn0w a 5.1.1 IPSW, and make an IPSW that has NO_BB in the title using RedSn0w, & use that when you shift+restore, you should be fine. I'm on the 1.59.00 BB myself, & this is how I did it. Here is the tutorial (it says 5.1, but the steps are the same for 5.1.1):

http://m.iclarified.com/entry/index.php?enid=20512

If you'd like to wait for another experienced member to post here & verify, it wouldn't hurt - buy they will likely confirm what I've posted here.
One more question
What if i create a no-bb 5.1.1 and then stitch it with my old blob file ( iOS 5.0.1 )



What would happen if i go that way?
 

ZCherub

macrumors 6502a
Jul 7, 2010
653
1
GA, USA
One more question
What if i create a no-bb 5.1.1 and then stitch it with my old blob file ( iOS 5.0.1 )



What would happen if i go that way?
Not sure - my guess is that the build would fail because you're stitching one firmware's blobs to a totally different firmware version. Even if you successfully create an IPSW, I wouldn't trust it on my phone...
 

BumpyFlatline

macrumors 68030
Apr 11, 2012
2,668
0
One more question
What if i create a no-bb 5.1.1 and then stitch it with my old blob file ( iOS 5.0.1 )



What would happen if i go that way?
It won't work. A blob is for a specific firmware. In your case it's for 5.0.1 so it will not work with 5.1.1. But 5.1.1 is still being signed so go save the 5.1.1 blob now!

Edit: Why are you trying to use your old blob if you're upgrading to 5.1.1? You don't need a blob since its the current firmware. Just make sure you use the latest tiny umbrella to save the 5.1.1 blob for a potential future downgrade.
 
Last edited:

LandonDonovan

macrumors regular
Jun 24, 2010
223
0
Just select Extras, Custom IPSW, and then choose the stock iPhone 3,1_5.1.1_9B206.ipsw to create a No_BB_3,1_5.1.1.ipsw. That way you don't lose the 1.59.00, but you can still jailbreak with redsn0w.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.